module(..., package.seeall)

-- Main function - MUST return a display.newGroup()
function new()
	local localGroup = display.newGroup()
----------------------------------------------------------------------
-- Above is the standard stuff, commented in MENU.LUA

----------------------------------------------------------------------
--								SCENE SETUP							--
----------------------------------------------------------------------
local background = display.newImage ("background.png")
localGroup:insert(background)
-- Sets the background

local unlockbutton = display.newImage ("unlock2.png")
unlockbutton.x = 160
unlockbutton.y = 140
localGroup:insert(unlockbutton)
-- Image of unlock button

local lockbutton = display.newImage ("lock2.png")
lockbutton.x = 160
lockbutton.y = 240
localGroup:insert(lockbutton)
-- Image of lock button

----------------------------------------------------------------------
--							FUNCTIONALITY							--
----------------------------------------------------------------------

local function onewin (event)
print "Level 2 is now unlocked! :)"
_G.twolock = 1
saveit.save()
director:changeScene("menu")
end
unlockbutton:addEventListener("tap", onewin)

local function onefail (event)
print "Level 2 is now locked! :("
_G.twolock = 0
saveit.save()
director:changeScene("menu")
end
lockbutton:addEventListener("tap", onefail)

--[[
The above functions lock and unlock level 2 and save immediately. (Only _G.two lock, not all
attributes as is done automatically on exit.

Try clicked the buttons and you will be sent back to the menu with level 2 locked or unlocked,
depending on which you last clicked.

Reset the simulator - see how it remains the same?

We have working saving/loading!
--]]
----------------------------------------------------------------------
----------------------------------------------------------------------
-- Below is the standard stuff, commented in MENU.LUA
	-- MUST return a display.newGroup()
	return localGroup
end